import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
// (C) 2025-2026 GoodData Corporation
import { useIntl } from "react-intl";
import { Checkbox, UiIcon, UiTooltip } from "@gooddata/sdk-ui-kit";
/**
 * @internal
 */
export function EvaluationModeCheckbox({ isShared, onChange }) {
    const intl = useIntl();
    return (_jsxs("div", { className: "gd-input-component", children: [
            _jsx("div", { className: "gd-label" }), _jsxs("div", { className: "gd-evaluation-mode-checkbox", children: [
                    _jsx(Checkbox, { text: intl.formatMessage({ id: "dialogs.schedule.email.evaluation.mode.shared" }), value: isShared, onChange: onChange }), _jsx(UiTooltip, { content: intl.formatMessage({ id: "dialogs.schedule.email.evaluation.mode.tooltip" }), anchor: _jsx(UiIcon, { type: "question", size: 14, color: "complementary-6", layout: "block" }), triggerBy: ["hover", "focus", "click"] })
                ] })
        ] }));
}
